org.apache.flume.serialization

## Enum EventDeserializerType

- java.lang.Object
- - java.lang.Enum<EventDeserializerType>
  - - org.apache.flume.serialization.EventDeserializerType

- All Implemented Interfaces:
    Serializable, Comparable<EventDeserializerType>

      @InterfaceAudience.Private
      @InterfaceStability.Unstable
      public enum EventDeserializerType
      extends Enum<EventDeserializerType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AVRO`
    `LINE`
    `OTHER`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Class<? extends EventDeserializer.Builder>` | `getBuilderClass()`
    `static EventDeserializerType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static EventDeserializerType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LINE

          public static final EventDeserializerType LINE

    - #### AVRO

          public static final EventDeserializerType AVRO

    - #### OTHER

          public static final EventDeserializerType OTHER

  - ### Method Detail

    - #### values

          public static EventDeserializerType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EventDeserializerType c : EventDeserializerType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EventDeserializerType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getBuilderClass

          public Class<? extends EventDeserializer.Builder> getBuilderClass()

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.